Bug 242375 - FUS + gnome-screensave + compiz = "active" blank screen
Summary: FUS + gnome-screensave + compiz = "active" blank screen
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet   
(Show other bugs)
Version: 7
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-03 19:52 UTC by Otto Rey
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 03:29:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Otto Rey 2007-06-03 19:52:34 UTC
Description of problem:
When switch-back to user who has compiz (Desktop Effects) enabled and
gnome-screen-saver active, the screen (gnome-screen-saver) is completely blank
but active (mouse pointer switch to "cursor" when move over the all white
password text box)

Version-Release number of selected component (if applicable):
compiz-0.3.6-8.fc7
gnome-screensaver-2.18.0-13.fc7
fast-user-switch-applet-2.17.4-4.fc7


How reproducible:
Always

Steps to Reproduce:
1. Enable Desktop Effects
2. Enable "Lock screen after user change" (default enabled) in
fast-user-switch-applet preferences
3. Switch to another user and come back to current (screen saver) user
  
Actual results:
"Usable" Blank Screen

Expected results:
Display unlock dialog as normal

Additional info:
With Desktop Effects disabled, things seems to work ok.

Comment 1 Otto Rey 2007-06-21 03:14:00 UTC
Not always i get a blank screen. It's random.

Comment 2 Adam Huffman 2007-06-22 11:10:22 UTC
I've just seen the same symptom - an entirely white screen when I switched back
to the primary user, who had compiz enabled.

Comment 3 Deji Akingunola 2007-07-29 03:52:36 UTC
Are you both using the nvidia proprietary driver? I've seen such scenario occur
with the said driver, you can blindly type your user's password (and press
'Enter') to get back into your running session.

Comment 4 Otto Rey 2007-07-29 23:11:33 UTC
Im using nvidia proprietary driver and yes... i blindly type my password and
screen back to reallity :) ("active" blank screen)...

Comment 5 Deji Akingunola 2007-07-30 01:02:11 UTC
You can close this bug then ;). It's not F-U-S-A's fault but an nvidia's driver bug.


Note You need to log in before you can comment on or make changes to this bug.